## AgsSetFormat

AgsSetFormat — reset format

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSetFormat * | ags_set_format_new ()

## Properties

guint | format | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSetFormat

## Includes

    #include <ags/audio/task/ags_set_format.h>

## Description

The AgsSetFormat task resets format of scope.

## Functions

### ags_set_format_new ()

    AgsSetFormat *
    ags_set_format_new (GObject *scope,
                        AgsSoundcardFormat format);

Create a new instance of AgsSetFormat.

#### Parameters

scope | the GObject to reset |
format | the new format |

#### Returns

the new AgsSetFormat

Since: 3.0.0

## Property Details

### The `“format”` property

      “format”                   guint

The format to apply to scope.

Owner: AgsSetFormat

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“scope”` property

      “scope”                    GObject *

The assigned GObject as scope.

Owner: AgsSetFormat

Flags: Read / Write

Since: 3.0.0